# kccachedb.h File Reference

cache hash database More...

`#include <kccommon.h>`
`#include <stdint.h>`
`#include <cassert>`
`#include <cctype>`
`#include <cerrno>`
`#include <cfloat>`
`#include <climits>`
`#include <clocale>`
`#include <cmath>`
`#include <csetjmp>`
`#include <cstdarg>`
`#include <cstddef>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <csignal>`
`#include <cstring>`
`#include <ctime>`
`#include <cwchar>`
`#include <stdexcept>`
`#include <exception>`
`#include <limits>`
`#include <new>`
`#include <typeinfo>`
`#include <utility>`
`#include <functional>`
`#include <memory>`
`#include <iterator>`
`#include <algorithm>`
`#include <locale>`
`#include <string>`
`#include <vector>`
`#include <list>`
`#include <map>`
`#include <set>`
`#include <ios>`
`#include <iostream>`
`#include <streambuf>`
`#include <fstream>`
`#include <sstream>`
`#include <tr1/unordered_map>`
`#include <tr1/unordered_set>`
`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcthread.h>`
`#include <kcdb.h>`
`#include <kcfile.h>`
`#include <kccompress.h>`
`#include <kccompare.h>`
`#include <kcmap.h>`

## Classes

class | kyotocabinet::CacheDB
| On-memory hash database with LRU deletion. More...
class | kyotocabinet::CacheDB::Cursor
| Cursor to indicate a record. More...
struct | kyotocabinet::CacheDB::Record
| Record data.
struct | kyotocabinet::CacheDB::TranLog
| Transaction log.
struct | kyotocabinet::CacheDB::Slot
| Slot table.
class | kyotocabinet::CacheDB::Repeater
| Repeating visitor.
class | kyotocabinet::CacheDB::Setter
| Setting visitor.
class | kyotocabinet::CacheDB::Remover
| Removing visitor.

## Namespaces

namespace | kyotocabinet

| All symbols of Kyoto Cabinet.

## Typedefs

typedef PlantDB< CacheDB, BasicDB::TYPEGRASS > | kyotocabinet::GrassDB
| An alias of the cache tree database.

## Detailed Description

cache hash database